Skip to content

Payment Status SNAP

Endpoint to check direct debit payment status

NameAPI Direct Debit Payment Status
Service Code55
Path../{version}/debit/status
Version1.0
HTTP MethodPOST

Request Body E-Wallet and Direct Debit

Details
FieldTypeMandatoryLengthDescription
originalPartnerReferenceNoStringO64Original transaction identifier on service consumer system
originalReferenceNoStringM64Original transaction identifier on service provider system
serviceCodeStringM2Transaction type indicator (service code of the original transaction request). Only receive value: "54"
additionalInfoObjectOAdditional information

Sample Request E-Wallet and Direct Debit

Details
sh
curl --location 'https://api-stage.ifortepay.id/v1.0/debit/status' \
--header 'X-TIMESTAMP: 2020-12-18T10:55:00+07:00' \
--header 'X-SIGNATURE: HGePHvNooMSs/ptPlTabtuePZUYdaqkB/v7QzTF+Fr1YxpPU3+e7I4kyaW50AS2HLQ/uAHMve7rTva5QuMoE6NQ74ozEKrYRvGX64o6oDlbhsXT5ikHPtxh/orwuOfeiyz/Rc7MTJ08iXqUY0ykokVubDAK65O79BOPkB7hMBRfKYg7SMrARuJm+5FGJtmVXfrkYDLiQfX9Sh7JsJILH9QSdtK3CqlI0+wbmQ39tGXq9UjLd1jlryaUzV3jFJeUlRp8Tp31gj8ZfhufFv7g632YPApRu0u64iVZEqvZq5bzSsH2ISIb0lnFOTo4VWy/YfRYNYpx3m+19XIzVjIipfQ==' \
--header 'X-Partner-Id: IFP2024078155' \
--header 'CHANNEL-ID: DD003' \
--header 'X-EXTERNAL-ID: 44718062668685' \
--header 'Content-Type: application/json' \
--data '{
    "originalReferenceNo": "01907cf4e9dd7f01b99da9a25dae6c8e",
    "originalPartnerReferenceNo": "QA-20240704-008",
    "serviceCode": "54",
    "additionalInfo": {}
}'

Response Body E-Wallet and Direct Debit

Details
FieldTypeMandatoryLengthDescription
responseCodeStringM7Response code
responseMessageStringM150Response description
originalReferenceNoStringC64Original transaction identifier on service provider system. Must be filled upon successful transaction
originalPartnerReferenceNoStringO64Original transaction identifier on service consumer system
serviceCodeStringM2Transaction type indicator (service code of the original transaction request). Possible value: "54"
latestTransactionStatusStringM200 - Success
01 - Initiated
03 - Pending
04 - Refunded
05 - Canceled
06 - Failed
07 - Not found
Expire payment mapped to Not found
transactionStatusDescStringO50Description status transaction
transAmountObjectO
transAmount.valueString (ISO4217)M16,2Transaction amount that will be paid using this payment method If it's IDR then value includes 2 decimal digits. e.g. IDR 10.000,- will be placed with 10000.00
transAmount.currencyStringM3Currency
feeAmountObjectO
feeAmount.valueString (ISO4217)M16,2Transaction amount that will be paid using this payment method If it's IDR then value includes 2 decimal digits. e.g. IDR 10.000,- will be placed with 10000.00
feeAmount.currencyStringM3Currency
paidTimeStringC25transaction date : ISO 8601
refundHistoryArray of ObjectsOThis parameter is available only for E-Wallet payment methods such as DANA, OVO
refundHistory.refundNoStringC64Transaction Identifier on Service Provider System
refundHistory.partnerRefundNoStringM64Reference Number from PJP AIS for the refund.
refundHistory.refundAmountObjectO
refundHistory.refundAmount.valueString (ISO4217)M16,2Net amount of the refund.
refundHistory.refundAmount.currencyStringM3Currency
refundHistory.refundDateStringC25(ISO 8601) transaction date : dd-MM-yyyy (Mandatory) HH:mm:ss (Optional)
refundHistory.reasonStringO256Refund reason.
additionalInfoObjectOAdditional information. Applicable only to E-Wallets such as DANA, OVO, and LinkAja.
additionalInfo.payOptionDetailsArray of ObjectOPayment option that will be used for this payment
additionalInfo.itemDetails.qtyIntegerMNumber of product units. Mandatory if item details is filled. Maximum 99999999
additionalInfo.itemDetails.descriptionStringMDescription of product
additionalInfo.cancelTimeStringOCanceled time
additionalInfo.voidHistoryArray of ObjectsO
additionalInfo.voidHistory.voidNoStringC64Transaction Identifier on Service Provider System
additionalInfo.voidHistory.partnerVoidNoStringO64Reference Number from PJP AIS for the void. Mapping from partnerRefundNo
additionalInfo.voidHistory.voidAmountObjectOMapping from refundAmount
additionalInfo.voidHistory.voidAmount.valueString (ISO4217)M16,2Net amount of the refund. Mapping from refundAmount
additionalInfo.voidHistory.voidAmount.currencyStringM3Currency
additionalInfo.voidHistory.voidDateStringC25(ISO 8601) transaction date : dd-MM-yyyy (Mandatory) HH:mm:ss (Optional)
additionalInfo.voidHistory.reasonStringO256Refund reason.

Sample Response E-Wallet (DANA)

Details
sh
Content-type: application/json
X-TIMESTAMP: 2020-12-23T07:44:16+07:00

{
    "responseCode": "2005500",
    "responseMessage": "Request has been processed successfully",
    "originalPartnerReferenceNo": "2020102900000000000001",
    "originalReferenceNo": "2020102977770000000009",
    "serviceCode": "54",
    "latestTransactionStatus": "00",
    "transactionStatusDesc": "success",
    ],
    "transAmount": {
        "value": "15000.00",
        "currency": "IDR"
    },
    "feeAmount": {
        "value": "1000.00",
        "currency": "IDR"
    },
    "paidTime": "2020-12-21T14:56:11+07:00",
    "additionalInfo": {
        "payOptionDetails": [
            {
                "payMethod": "WALLET",
                "payOption": "DANA"
            }
        ],
        "accountDetails": {
            "id": "08888999999",
            "idType": "PHONE"
        },
        "createdTime": "2020-12-21T14:10:11+07:00",
        "remarks": "Dress Wanita Pink",
        "billDetails": {
            "billName": "John Doe",
            "billEmail": "[email protected]",
            "billPhone": "088888888"
        },
        "itemDetails": [{
            "itemId": "F001",
            "name": "Dress",
            "amount": "150000",
            "qty": "1",
            "description": "Dress Wanita Pink"
        }]
    }
}

Sample Response Direct Debit (BRI)

Details
sh
    "additionalInfo": {},
    "feeAmount": {
        "currency": "IDR",
        "value": "1992.00"
    },
    "latestTransactionStatus": "00",
    "originalPartnerReferenceNo": "QA-20240704-008",
    "originalReferenceNo": "01907cf4e9dd7f01b99da9a25dae6c8e",
    "paidTime": "2024-07-04T08:55:44+07:00",
    "responseCode": "2005500",
    "responseMessage": "Successful",
    "serviceCode": "54",
    "transAmount": {
        "currency": "IDR",
        "value": "20000.00"
    },
    "transactionStatusDesc": "Success"
}

iFortepay API Documentation